Package org.h2gis.functions.spatial.topography

## Class ST_Drape

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.topography.ST_Drape

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_Drape
    extends org.h2gis.api.DeterministicScalarFunction

This function could be used to drape a geometry to a set of triangles

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_Drape()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.Geometry` `drape​(org.locationtech.jts.geom.Geometry geomToDrape, org.locationtech.jts.geom.Geometry triangles)`
`static org.locationtech.jts.geom.Geometry` `drapeLineString​(org.locationtech.jts.geom.LineString line, org.locationtech.jts.geom.Geometry triangles, org.locationtech.jts.index.strtree.STRtree sTRtree)` Drape a linestring to a set of triangles
`static org.locationtech.jts.geom.Geometry` `drapeMultiLineString​(org.locationtech.jts.geom.MultiLineString lines, org.locationtech.jts.geom.Geometry triangles, org.locationtech.jts.index.strtree.STRtree sTRtree)` Drape a multilinestring to a set of triangles
`static org.locationtech.jts.geom.Geometry` `drapeMultiPolygon​(org.locationtech.jts.geom.MultiPolygon polygons, org.locationtech.jts.geom.Geometry triangles, org.locationtech.jts.index.strtree.STRtree sTRtree)` Drape a multilinestring to a set of triangles
`static org.locationtech.jts.geom.Geometry` `drapePoint​(org.locationtech.jts.geom.Geometry pts, org.locationtech.jts.geom.Geometry triangles, org.locationtech.jts.index.strtree.STRtree sTRtree)` Drape a point geometry to a set of triangles
`static org.locationtech.jts.geom.Geometry` `drapePoints​(org.locationtech.jts.geom.Geometry pts, org.locationtech.jts.geom.Geometry triangles, org.locationtech.jts.index.strtree.STRtree sTRtree)` Drape a multipoint geometry to a set of triangles
`static org.locationtech.jts.geom.Polygon` `drapePolygon​(org.locationtech.jts.geom.Polygon p, org.locationtech.jts.geom.Geometry triangles, org.locationtech.jts.index.strtree.STRtree sTRtree)` Drape a polygon on a set of triangles
`String` `getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry` `lineMerge​(org.locationtech.jts.geom.Geometry geom, org.locationtech.jts.geom.GeometryFactory factory)` A method to merge a geometry to a set of linestring

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_Drape

    public ST_Drape()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### drape

    public static org.locationtech.jts.geom.Geometry drape​(org.locationtech.jts.geom.Geometry geomToDrape,
                                                           org.locationtech.jts.geom.Geometry triangles)
                                                    throws SQLException

Throws:
  `SQLException`

#### drapePoints

    public static org.locationtech.jts.geom.Geometry drapePoints​(org.locationtech.jts.geom.Geometry pts,
                                                                 org.locationtech.jts.geom.Geometry triangles,
                                                                 org.locationtech.jts.index.strtree.STRtree sTRtree)

Drape a multipoint geometry to a set of triangles

Parameters:
  `pts` - `Geometry`
  `triangles` - `Geometry`
  `sTRtree` - `STRtree`
Returns:
  Geometry

#### drapePoint

    public static org.locationtech.jts.geom.Geometry drapePoint​(org.locationtech.jts.geom.Geometry pts,
                                                                org.locationtech.jts.geom.Geometry triangles,
                                                                org.locationtech.jts.index.strtree.STRtree sTRtree)

Drape a point geometry to a set of triangles

Parameters:
  `pts` - `Geometry`
  `triangles` - `Geometry`
  `sTRtree` - `STRtree`
Returns:
  Geometry

#### drapeMultiPolygon

    public static org.locationtech.jts.geom.Geometry drapeMultiPolygon​(org.locationtech.jts.geom.MultiPolygon polygons,
                                                                       org.locationtech.jts.geom.Geometry triangles,
                                                                       org.locationtech.jts.index.strtree.STRtree sTRtree)

Drape a multilinestring to a set of triangles

Parameters:
  `polygons` - `MultiPolygon`
  `triangles` - set of triangles
  `sTRtree` - `STRtree`
Returns:
  polygons with z values

#### drapeMultiLineString

    public static org.locationtech.jts.geom.Geometry drapeMultiLineString​(org.locationtech.jts.geom.MultiLineString lines,
                                                                          org.locationtech.jts.geom.Geometry triangles,
                                                                          org.locationtech.jts.index.strtree.STRtree sTRtree)

Drape a multilinestring to a set of triangles

Parameters:
  `lines` - `MultiLineString`
  `triangles` - set of triangles
  `sTRtree` - `STRtree`
Returns:
  lines with z values

#### drapeLineString

    public static org.locationtech.jts.geom.Geometry drapeLineString​(org.locationtech.jts.geom.LineString line,
                                                                     org.locationtech.jts.geom.Geometry triangles,
                                                                     org.locationtech.jts.index.strtree.STRtree sTRtree)

Drape a linestring to a set of triangles

Parameters:
  `line` - `LineString`
  `triangles` - set of triangles
  `sTRtree` - `STRtree`
Returns:
  line with z values

#### drapePolygon

    public static org.locationtech.jts.geom.Polygon drapePolygon​(org.locationtech.jts.geom.Polygon p,
                                                                 org.locationtech.jts.geom.Geometry triangles,
                                                                 org.locationtech.jts.index.strtree.STRtree sTRtree)

Drape a polygon on a set of triangles

Parameters:
  `p` - `Polygon`
  `triangles` - set of triangles
  `sTRtree` - `STRtree`
Returns:
  polygon with z values

#### lineMerge

    public static org.locationtech.jts.geom.Geometry lineMerge​(org.locationtech.jts.geom.Geometry geom,
                                                               org.locationtech.jts.geom.GeometryFactory factory)

A method to merge a geometry to a set of linestring

Parameters:
  `geom` - `Geometry`
  `factory` - `GeometryFactory`
Returns:
  merged lines